[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| Processor< ClassificationTag, LabelType, T1, C1, T2, C2 > |

`#include <vigra/random_forest/rf_preprocessing.hxx>`

List of all members.

## Public Member Functions

MultiArrayView< 2, T1, C1 > const & | features ()
MultiArrayView< 2, LabelInt > & | response ()
ArrayVectorView< LabelInt > | strata ()
ArrayVectorView< double > | strata_prob ()

## Detailed Description

### template<class LabelType, class T1, class C1, class T2, class C2>
class vigra::Processor< ClassificationTag, LabelType, T1, C1, T2, C2 >

Preprocessor used during Classification

This class converts the labels int Integral labels which are used by the standard split functor to address memory in the node objects.

## Member Function Documentation

MultiArrayView<2, T1, C1> const& features | ( |  | ) |

Access the processed features

MultiArrayView<2, LabelInt>& response | ( |  | ) |

Access processed labels

ArrayVectorView< LabelInt> strata | ( |  | ) |

Access processed strata

ArrayVectorView< double> strata_prob | ( |  | ) |

Access strata fraction sized - not used currently

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_preprocessing.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)